Bug 139082 - cdrecord man page doesn't document dev=/dev/hdX for specifying driver
cdrecord man page doesn't document dev=/dev/hdX for specifying driver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: EasyFix, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 15:40 EST by Richard Dawe
Modified: 2009-02-10 14:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-10 14:58:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Dawe 2004-11-12 15:40:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
The cdrecord man page doesn't document dev=/dev/hdX as a viable way of
writing CDs. This is quite confusing on systems where an ATAPI drive
is being used and SCSI emulation is not present/loaded/working. It's
very hard to find documentation on how to write to your ATAPI writer -
i.e. how to set up SCSI emulation.

Command line like the following work fine for me:

cdrecord -v dev=/dev/hdc /path/to/iso

I've used this to burn about 6 CD-Rs now.

Since dev=/dev/hdX works fine, why not document it?

Below is a patch to add an example dev=/dev/hdX command line to the
cdrecord man page. You can also get it from here:

http://homepages.nildram.co.uk/~phekda/richdawe/cd-r/cdrtools-2.01-cdrecord-doc-20041112.diff

--- cdrtools-2.01-orig/cdrecord/cdrecord.1	2004-07-11
00:28:23.000000000 +0100
+++ cdrtools-2.01/cdrecord/cdrecord.1	2004-11-12 20:27:12.569624662 +0000
@@ -1947,6 +1947,12 @@ and
 Then write the CD using:
 .PP
     cdrecord dev=1,0 -raw96r -clone -v somefile
+.PP
+On Linux, to record to a non-SCSI device, e.g. an ATAPI device,
+without going through the SCSI emulation layer for ATAPI, you can use
+the device name directly:
+.PP
+    cdrecord dev=/dev/hdc myimage.iso
 
 
 .SH ENVIRONMENT


Version-Release number of selected component (if applicable):
2.01.1

How reproducible:
Always

Steps to Reproduce:
N/A, documentation issue

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:27:05 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Richard Dawe 2005-05-01 07:13:20 EDT
This still applies to Fedora Core 3 latest (I have all the updates applied).

The cdrecord man page does hint that you can use a device path:

"To make cdrecord portable to all UNIX platforms, the syntax dev=
devicename:scsibus,target,lun is preferred as it hides OS specific knowledge 
about device names from the user.  A specific OS may not necessarily support a
way to specify a real device file name nor a way to specify scsibus,target,lun."

But a concrete example would help.
Comment 3 Matthew Miller 2006-07-10 16:41:02 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Richard Dawe 2006-07-11 16:36:49 EDT
This still applies to the man page from cdrecord-2.01.01.0.a03-3 from FC5.
Comment 5 Matthew Miller 2006-07-11 16:44:42 EDT
Thanks.

Normally, this would be the sort of thing better fixed upstream, but this is a
kind of special case....
Comment 6 Jörg Schilling 2009-02-10 09:21:57 EST
Richard, your proposal for the man page is not correct
and thus would not help other people.

ALL CXD/DVD/BluRay writers are SCSI, ATAPI is just 
a special SCSI transport. 

Cdrecord does not document dev=/dev/hd* because this 
is an unwanted and unneeded way of specifying the drive
to use. 

If the "cdrecord" variant you are using on redhat causes problems
for you when not using dev=/dev/*, this is a result of harmful
modifications from redhat's site. I recommend you to upgrade to
recent original software.

ftp://ftp.berlios.de/pub/cdrecord/alpha/

It perfectly works the way it is documented.
Comment 7 Richard Dawe 2009-02-10 14:58:00 EST
The version of wodim I'm using on Fedora 9 does document dev=/dev/cdrw and other similar ways of specifying the device. So my original patch is no longer needed. Closing.

[rich@meelo ~]$ rpm -q wodim
wodim-1.1.6-11.fc9.x86_64

Note You need to log in before you can comment on or make changes to this bug.